Returns the optionality of document fields for different country mandates
Access control: this endpoint is available to users with the
everyonerole.
This endpoint returns a list of required, conditional, and optional fields for each country mandate. Use the mandates endpoint to retrieve all available country mandates. Use the $filter query parameter to retrieve fields for a specific mandate.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
avalara-version
Header that specifies the API version to use (for example “1.6”).
X-Avalara-Client
Optional header for a client identifier string used for diagnostics (for example “Fingerprint”).
Query parameters
$filter
Filter by field name and value. This filter supports only eq and contains. For more information, refer to the Avalara filtering guide.
$top
The number of items to include in the result.
$skip
The number of items to skip in the result.
$count
When set to true, the response body also includes the count of items in the collection.
$countOnly
When set to true, the response returns only the count of items in the collection.
Response
Returns a DataInputFieldsResponse object containing the data input fields and their optionality for the requested mandate.
@recordsetCount
Total count of results
@nextLink
value
Array of Data Input Fields
Errors
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error

